<div class="authenticate">
  <!-- Barre de navigation -->
  <nav class="navbar navbar-default navbar-fixed-top">
    <div class="container-fluid">
      <div class="navbar-header">
        <a routerLink="/home" routerLinkActive="active" class="navbar-brand"><img src="assets/img/logo-lvlup.png" alt="Lvl up"></a>
      </div>
    </div>
  </nav>

  <header>
    <div [ngClass]="'alert-' + notification.type + '-header'" id="alert-header" [hidden]="notification.hidden">
      <div class="alert alert-dismissible fade in" [ngClass]="'alert-' + notification.type" id="alert-content">
        <button type="button" class="close" id="modalClosed" (click)="closeNotification()">&times;</button>
        {{notification.content}}
      </div>
    </div>
  </header>

  <div class="container text-center">
    <h1>Connexion</h1>
    <div class="row content">
      <form role="form" (ngSubmit)="login()" #loginForm="ngForm">
        <div class="row">
          <div class="form-group col-md-offset-3 col-md-6">
            <label for="username">Identifiant</label>
            <input id="username" name="username" [(ngModel)]="this.username" #usernameModel="ngModel"
                   [ngClass]="{ 'is-invalid': usernameModel.invalid && (usernameModel.dirty || usernameModel.touched), 'is-valid': usernameModel.valid && (usernameModel.dirty || usernameModel.touched) }"
                   required type="text" class="form-control">
            <div *ngIf="usernameModel.invalid && (usernameModel.dirty || usernameModel.touched)" class="invalid-feedback">
              <div *ngIf="usernameModel.errors?.['required']">Veuillez saisir un identifiant.</div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="form-group col-md-offset-3 col-md-6">
            <label for="password">Mot de passe</label>
            <input id="password" name="password" [(ngModel)]="this.password" #passwordModel="ngModel"
                   [ngClass]="{ 'is-invalid': passwordModel.invalid && (passwordModel.dirty || passwordModel.touched), 'is-valid': passwordModel.valid && (passwordModel.dirty || passwordModel.touched) }"
                   required type="password" class="form-control">
            <div *ngIf="passwordModel.invalid && (passwordModel.dirty || passwordModel.touched)" class="invalid-feedback">
              <div *ngIf="passwordModel.errors?.['required']">Veuillez saisir un mot de passe.</div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-offset-4 col-md-4">
            <button type="submit" class="btn btn-block" [disabled]="loginForm.invalid">Se connecter</button>
          </div>
        </div>
        <div class="row">
          <button type="button" class="forgot-password" data-toggle="modal" data-target="#forgotPasswordModal" (click)="clearEmail()" id="forgotPassword">Mot de passe oublié</button>
        </div>
      </form>
    </div>
  </div>

  <!-- Ajouter Modal -->
  <div id="forgotPasswordModal" class="modal fade" role="dialog">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" #closeForgotPasswordModal>&times;</button>
          <h4 class="modal-title">Mot de passe oublié</h4>
        </div>
        <div class="modal-body">
          <form role="form" (ngSubmit)="resetPassword()" #resetPasswordForm="ngForm">
            <div class="row">
              <div class="form-group col-md-12">
                <label for="email" class="gray-color">Email</label>
                <input id="email" name="email" [(ngModel)]="email" #emailModel="ngModel" placeholder="Veuillez saisir votre email"
                        [ngClass]="{ 'is-invalid': emailModel.invalid && (emailModel.dirty || emailModel.touched), 'is-valid': emailModel.valid && (emailModel.dirty || emailModel.touched) }"
                        required pattern="^[a-zA-Z0-9_+&*-]+(?:\.[a-zA-Z0-9_+&*-]+)*@(?:[a-zA-Z0-9-]+\.)+[a-zA-Z]{2,7}$" class="form-control">
                <div *ngIf="emailModel.invalid && (emailModel.dirty || emailModel.touched)" class="invalid-feedback">
                  <div *ngIf="emailModel.errors?.['required']" class="gray-color">Veuillez saisir un email.</div>
                  <div *ngIf="emailModel.errors?.['pattern']" class="gray-color">Veuillez saisir une adresse email valide.</div>
                </div>
              </div>
            </div>
            <button type="submit" class="btn btn-block" [disabled]="resetPasswordForm.invalid">Envoyer</button>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
